<?php
//<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
//sigurnost:
if (!defined('SIGURICA')) die('Nedozvoljen pristup!');
if ($prava_pristup_vijesti!=1) die('Nedozvoljen pristup!');

$slike_news_dir='../slike/vijesti/';

//ime aktivne kategorije
$id_kat = $_GET[id_kat];


if ($id_kat) {
    $sql = "select * from b7_news_kategorija where id_kategorija='$id_kat'";    
} else {
	$sql = "select * from b7_news_kategorija order by id_kategorija asc limit 1";
}

$rez = mysql_query($sql, $conn);
if ($rez) $num=mysql_num_rows($rez);
if ($num>0) {
    $row = mysql_fetch_array($rez);
	$id_kat= $row[0];
    $kategorija_naslov = $row[1];
	$kategorija_link = $row[2];
	$kategorija_opis= $row[3];
	$kategorija_kratka= $row[4];
	$kategorija_kratka_znakovi= $row[5];
	$kategorija_tekstarea= $row[6];
	$kategorija_linkovi= $row[7];
	$kategorija_autor= $row[8];
	$kategorija_slika= $row[9];
	$kategorija_thumb_sirina= $row[10];
	$kategorija_thumb_visina= $row[11];
	$kategorija_big_sirina= $row[12];
	$kategorija_big_visina= $row[13];
	$kategorija_user= $row[14];
	$kategorija_datum= $row[15];
} else {
	$kategorija_naslov = '0';
}

//napraviti prije ispisa sadržaja
if ($akcija == 'insert_new_slika') {
    include ("insert_new_slika.php");
    $akcija = 'display_slike';
}
if ($akcija == 'p_slika_dolje') {
    include ("p_slika_dolje.php");
    $akcija = 'display_slike';
}
if ($akcija == 'p_slika_gore') {
    include ("p_slika_gore.php");
    $akcija = 'display_slike';
}
if ($akcija == 'delete_slika') {
    include ("delete_slika.php");
    $akcija = 'display_slike';
}
if ($akcija == 'update_slika') {
    include ("update_slika.php");
    $akcija = 'display_slike';
}
if ($akcija == 'insert_news_file_upload') {
    include ("insert_news_file_upload.php");
    $akcija = 'display_news_file_download';
}
if ($akcija == 'p_file_dolje') {
    include ("p_file_dolje.php");
    $akcija = 'display_news_file_download';
}
if ($akcija == 'p_file_gore') {
    include ("p_file_gore.php");
    $akcija = 'display_news_file_download';
}
if ($akcija == 'p_file_gore') {
    include ("p_file_gore.php");
    $akcija = 'display_news_file_download';
}
if ($akcija == 'delete_fajl') {
    include ("delete_fajl.php");
    $akcija = 'display_news_file_download';
}
if ($akcija == 'update_news_file_upload') {
    include ("update_news_file_upload.php");
    $akcija = 'display_news_file_download';
}

include ("podmeni.php");

if ($akcija == 'delete_news') {
    include ("delete_news.php");
	$akcija = 'display_news_list';
}

switch ($akcija) {
    case 'display_kategorije':
        include ("display_kategorije.php");
        break;
	case 'display_news_list':
        include ("display_news_list.php");
        break;

    case 'form_insert_new_kategorija':
        include ("form_insert_kat.php");
        break;
	case 'form_edit_kategorija':
        include ("form_edit_kategorija.php");
        break;	
	case 'form_insert_new_news':
        include ("form_insert_new_news.php");
        break;
	case 'form_edit_news':
        include ("form_edit_news.php");
        break;
		
	case 'update_kategorija':
        include ("update_kategorija.php");
        break;
	case 'update_vijest':
        include ("update_vijest.php");
        break;	
		
	case 'insert_new_kategorija':
        include ("insert_new_kategorija.php");
        break;
	case 'insert_new_vijest':
        include ("insert_new_vijest.php");
        break;

  

	case 'display_slike':
        include ("display_slike.php");
        break;
	case 'form_insert_new_sliku':
        include ("form_insert_new_sliku.php");
        break;
	case 'form_edit_slika':
        include ("form_edit_slika.php");
        break;
	case 'display_news_file_download':
        include ("display_news_file_download.php");
        break;
	case 'form_edit_file':
        include ("form_edit_fajl.php");
        break;


    default:		
		if ($kategorija_naslov=='0') {
			//nema niti jedne kategorije u bazi - prvo unesi bar jednu kategoriju!
			include ("form_insert_kat.php");
		} else {
			include ("display_news_list.php");
		}
        break;
}
?>